image: docker:latest
services:
    - docker:dind

variables:
    DOCKER_DRIVER: overlay

stages:
    - build

docker-image:
    stage: build
    script:
        - docker pull filebrowser/filebrowser
        - docker build -t "corysanin/filebrowser-read-only:latest" -t "$CI_REGISTRY_IMAGE:latest" -f ./Dockerfile .
        - "if [ ! -z ${DOCKER_PASSWORD+x} ]; then echo \"$DOCKER_PASSWORD\" | docker login -u \"$DOCKER_USERNAME\" --password-stdin; docker push \"corysanin/filebrowser-read-only:latest\"; fi"
        - if [ ! -z ${CI_REGISTRY_PASSWORD+x} ]; then echo "$CI_REGISTRY_PASSWORD" | docker login "$CI_REGISTRY" -u "$CI_REGISTRY_USER" --password-stdin; docker push "$CI_REGISTRY_IMAGE:latest"; fi
